Debian Bug report logs - #221111
ITP: libcharles0 -- Data structure library for Ada95 modelled on the C++ STL

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Ludovic Brenta" <lbrenta@insalien.org>

Date: Sun, 16 Nov 2003 15:48:05 UTC

Severity: wishlist

Tags: fixed

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#221111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Ludovic Brenta" <lbrenta@insalien.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ludovic Brenta" <lbrenta@insalien.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcharles0 -- Data structure library for Ada95 modelled on the C++ STL
Date: Sun, 16 Nov 2003 16:44:23 +0100
Package: wnpp
Severity: wishlist

* Package name    : libcharles0
  Version         : 0.0.20030813
  Upstream Author : Matthew J. Heaney <matthewjheaney@earthlink.net>
* URL             : http://home.earthlink.net/~matthewjheaney/charles/
* License         : GPL
  Description     : Data structure library for Ada95 modelled on the C++ STL

 Charles is a data structure library for Ada95, modelled principally on
 the C++ STL. It features both ordered (lists and arrays) and unordered
 (sets and maps) collections.
 .
 Associated with each data structure type is a separate iterator type,
 which allows you to visit each item in the container. In particular,
 an iterator abstracts away differences in specific container types,
 allowing you to view the collection simply as a sequence of items. A
 generic algorithm (for sorting, say) can be written in terms of an
 iterator, so that you can use the algorithm over any data structure
 having an iterator with the requisite operations.
 .
 This package contains the development files for Charles, and the
 unstripped static library with debugging information.

Additional licensing terms:

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    As a special exception, if other files instantiate generics from
    this unit, or you link this unit with other files to produce an
    executable, this unit does not by itself cause the resulting
    executable to be covered by the GNU General Public License.  This
    exception does not however invalidate any other reasons why the
    executable file might be covered by the GNU Public License.

    See the full text of the GPL in /usr/share/common-licenses/GPL.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux lbrenta 2.4.22-1-686-smp #1 SMP Sat Sep 6 00:06:59 EST 2003 i686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#221111; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic.brenta@insalien.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 221111@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic.brenta@insalien.org>
To: 221111@bugs.debian.org, debian-mentors@lists.debian.org
Subject: RFS: libcharles0 -- Data structure library for Ada95 modelled on the C++ STL
Date: 18 Nov 2003 16:44:19 +0100
I have filed an ITP with a complete description of this library here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=221111

Now I have packaged the library and uploaded it to my repository.  It
is available here:

deb http://www.ada-france.org/debian ada main
deb-src http://www.ada-france.org/debian ada main

Please consider sponsoring it into Sid.  Lintian says all is well with
it.

-- 
Ludovic Brenta.




Tags added: fixed Request was from doko@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Ludovic Brenta" <lbrenta@insalien.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 221111-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 211120-done@bugs.debian.org, 218307-done@bugs.debian.org, 220216-done@bugs.debian.org, 221111-done@bugs.debian.org, 221821-done@bugs.debian.org, 154095-done@bugs.debian.org, 154098-done@bugs.debian.org, 158473-done@bugs.debian.org, 162064-done@bugs.debian.org, 202174-done@bugs.debian.org, 217101-done@bugs.debian.org
Subject: Closing WNPP bugs that were only tagged as fixed
Date: Tue, 6 Jan 2004 19:54:13 +0100


Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:43:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.